Closed Bug 1284902 Opened 4 years ago Closed 4 years ago

need deprecation page to point non-SSE2 users at

Categories

(www.mozilla.org :: Release notes, defect)

Production
defect
Not set

Tracking

(firefox49+ fixed)

RESOLVED FIXED
Tracking Status
firefox49 + fixed

People

(Reporter: bhearsum, Unassigned)

References

Details

We'll be deprecating support for non-SSE2 as of Firefox 49.0 (that is, users without SSE2 support cannot update past 48.0). We need some sort of page to point these users at when they get the deprecation notice. This is similar to the recent GTK2 deprecation, where we pointed users at https://www.mozilla.org/firefox/46.0/system-requirements/.

Not sure if this is the right component or not.
Blocks: 1284905, 1284906
Hi Callek, should we use this link https://www.mozilla.org/en-US/firefox/49.0beta/system-requirements/? Sylvestre, FYI.
Flags: needinfo?(sledru)
Flags: needinfo?(bugspam.Callek)
I used https://www.mozilla.org/firefox/49.0beta/system-requirements/ for now. For mac users we used this one https://support.mozilla.org/kb/firefox-osx to drop some old versions.
We should add that it started to be required after 48 (or since 49)
Flags: needinfo?(sledru)
Flags: needinfo?(bugspam.Callek)
Sylvestre, Liz,

Is this (Requirements) the page we want to keep those users pointed at, or should we point at a different page?

Can we call this bug done?
Flags: needinfo?(sledru)
Flags: needinfo?(lhenry)
This is odd. I don't see the system requirements linked from the release notes page any more.  It should link to the release notes/system requirements once we release 49. For now, the support page sounds better, since we know it works.
Flags: needinfo?(lhenry)
What is "The support page" for SSE2 deprecation?

I'm happy to change this, but we need to know what to point it at of course.
Flags: needinfo?(lhenry)
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #7)
> The one from comment 2, https://support.mozilla.org/en-US/kb/firefox-osx

I agree I'd much rather have a support.m.o link for this, however this link in particular is for the OSX desupport reasons. Whereas this bug is about SSE2 support, so that isn't a good choice here.
Flags: needinfo?(lhenry)
Oh, whoops.  Joni, I wonder if y'all from SUMO can make a similar page for SSE2 (de)support?
Flags: needinfo?(lhenry) → needinfo?(jsavage)
Sure thing. Here's the link you can use in-product: https://support.mozilla.org/1/firefox/%VERSION%/%OS%/%LOCALE%/non-sse2

Here's a draft of the article: https://docs.google.com/document/d/1CboZEukpioI-WirE6w4JGBXPQGhygwPf6GPsJNlysDI/edit?usp=sharing

Please add your suggestions to the draft. It might be helpful for us to let people know what they should do if they have an older processor?

If we want to get this content up by the version 49 release, it will need to be finalized by Aug 19 to give localizers time to translate the article.
Flags: needinfo?(jsavage) → needinfo?(bhearsum)
RelEng aren't the right people to review this, I think you want Liz and/or Sylvestre?
Flags: needinfo?(bhearsum) → needinfo?(lhenry)
Yes, we can suggest ESR.
Flags: needinfo?(sledru)
Flags: needinfo?(lhenry)
I added a line about ESR and commented in the draft. Thanks Joni!
The page is up now. Thanks for your suggestions!
(In reply to Ben Hearsum (:bhearsum) from comment #0)
> We'll be deprecating support for non-SSE2 as of Firefox 49.0 (that is, users
> without SSE2 support cannot update past 48.0). We need some sort of page to
> point these users at when they get the deprecation notice. This is similar
> to the recent GTK2 deprecation, where we pointed users at
> https://www.mozilla.org/firefox/46.0/system-requirements/.
> 
> Not sure if this is the right component or not.

(In reply to Joni Savage ("need info" me) from comment #15)
> The page is up now. Thanks for your suggestions!

The article at https://support.mozilla.org/en-US/kb/your-hardware-no-longer-supported has been approved but this bug is still open. Is there anything else that needs to be done?
Flags: needinfo?(jsavage)
We're all set. Thanks, Alice.
Status: NEW → RESOLVED
Closed: 4 years ago
Flags: needinfo?(jsavage)
Resolution: --- → FIXED
The article is good, thank you very much! I want to double check with callek that wherever should be pointing to the support page is actually doing so.
Callek can we mark this fixed for 49 now? Or can we only say it's fixed, and also test it, after we merge to release (or on the release channel?
Andrei, can your team test this on a non-SSE2 machine once we are ready to test?
Flags: needinfo?(bugspam.Callek)
Flags: needinfo?(andrei.vaida)
Hey Liz, we won't be able to test this, because we lack the necessary hardware. 

We did find an older PC with Pentium 4, but that's actually the first CPU to support SSE2 and despite a few workarounds we tried to simulate such an environment, it didn't work.
Flags: needinfo?(andrei.vaida)
Hey Liz,

So currently, SSE-Desupport "update rule" is the following:

```
{
  "displayVersion": "48.0",
  "name": "SSE-Desupport",
  "schema_version": 50,
  "detailsUrl": "https://www.mozilla.org/firefox/49.0beta/system-requirements/"
}
```

Its in place on BETA as we speak, that said, as I understood this bug the actual SUMO page needed to be translated before its put in production, is this ready for production now?

(I'll point the same "Desupport" rule for the release audience in ~2 weeks as well, whether that be www.m.o or sumo)


[[For my reminder, the OSX desupport rule is listed in balrog as ```"detailsUrl": "https://support.mozilla.org/kb/firefox-osx"``` so lang-agnostic]]
Flags: needinfo?(bugspam.Callek) → needinfo?(lhenry)
Joni, what happens with translation? Is this for a particular language/locale? I can't imagine we translate it for everything this fast.
Flags: needinfo?(lhenry) → needinfo?(jsavage)
Ryan, anyone from your team with the right, wrong hardware? 
Looks like we don't have testing right now.
Jeff, we also aren't sure what happens with locales/translation. Or maybe this is a better question for vesper.
Flags: needinfo?(ryanvm)
Flags: needinfo?(mdziewonski)
Flags: needinfo?(jbeatty)
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #23)
> Ryan, anyone from your team with the right, wrong hardware? 
> Looks like we don't have testing right now.
> Jeff, we also aren't sure what happens with locales/translation. Or maybe
> this is a better question for vesper.

Vesper or Madalina can help here.
Flags: needinfo?(jbeatty)
Flags: needinfo?(ryanvm) → needinfo?(rares.bologa)
User Agent 	Mozilla/5.0 (Windows NT 5.1; rv:48.0) Gecko/20100101 Firefox/48.0

I resurrected my old PC (AMD Athlon 1GHz, without SSE2 support) and have updated from the following Beta versions: 45.0b2, 46.0b2, 46.0b7, 47.0b3, 47.0b8. All of these updated to 48.0b1 and when trying to further update this version I get the "You can not perform further updates on this system. Learn more" message and the "Learn more" page takes me to https://www.mozilla.org/firefox/49.0beta/system-requirements/

I've also tried to update from 48.0b6 and 48.0b9, where I get the same message.

Liz, do I need to do some more testing for this?
Flags: needinfo?(rares.bologa) → needinfo?(lhenry)
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #22)
> Joni, what happens with translation? Is this for a particular
> language/locale? I can't imagine we translate it for everything this fast.

Hi Liz, the page will automatically redirect to the appropriate locale. If an article hasn't been translated to that language yet, the page will show up in English with a banner saying something like "This article hasn't been localized yet. Help us localize this page."
Flags: needinfo?(jsavage)
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #23)
> Ryan, anyone from your team with the right, wrong hardware? 
> Looks like we don't have testing right now.
> Jeff, we also aren't sure what happens with locales/translation. Or maybe
> this is a better question for vesper.

Hi Liz,

The support pages mentioned in this thread are available in the following locales:
https://support.mozilla.org/en-US/kb/firefox-osx/show_translations
https://support.mozilla.org/en-US/kb/your-hardware-no-longer-supported/show_translations

All our locales are community-powered, so if you require a particular (missing) locale to be present on them, do let me know and I'll work with our contributors to make it happen.

Cheers!
Flags: needinfo?(mdziewonski)
Thanks Ciprean! Looks good!
Flags: needinfo?(lhenry)
You need to log in before you can comment on or make changes to this bug.